<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.kapdion.pisano</groupId>
  <artifactId>productknowledge-parent</artifactId>
  <version>1.0-SNAPSHOT</version>

  <packaging>pom</packaging>
  <name>Product Knowledge</name>
  <description>A multi-module Maven project for testing module organization and dependency management.</description>

  <licenses>
    <license>
      <name>Apache License, Version 2.0</name>
      <url>https://www.apache.org/licenses/LICENSE-2.0.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <modules>
    <module>docs</module>
    <module>api-definition</module>
    <module>server-app</module>
    <module>client-lib</module>
    <module>client-app</module>
    <module>client-web</module>
  </modules>

  <properties>
    <maven.compiler.source>21</maven.compiler.source>
    <maven.compiler.target>21</maven.compiler.target>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencyManagement>
    <dependencies>
      <!-- importieren Spring-Boot als bill of materials -->
      <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-dependencies</artifactId>
        <version>4.0.1</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
      <dependency>
        <groupId>com.fasterxml.jackson.core</groupId>
        <artifactId>jackson-databind</artifactId>
        <version>2.15.2</version>
      </dependency>
    </dependencies>

  </dependencyManagement>

  <build>
    <pluginManagement>
      <plugins>
<!--        <plugin>-->
<!--          <groupId>org.asciidoctor</groupId>-->
<!--          <artifactId>asciidoctor-maven-plugin</artifactId>-->
<!--          <version>2.2.4</version>-->
<!--        </plugin>-->
      </plugins>
    </pluginManagement>
  </build>

</project>
